Loading...
Searching...
No Matches
BALL::VIEW::FloatEditorWidget Class Reference

`#include <BALL/VIEW/WIDGETS/propertyEditor.h>`

Inheritance diagram for BALL::VIEW::FloatEditorWidget:

## Public Member Functions

| FloatEditorWidget (const NamedProperty &prop, QWidget *parent)
virtual FloatEditorWidget * | clone (const std::string &name, QWidget *parent)
Public Member Functions inherited from BALL::VIEW::PropEditorWidget
| PropEditorWidget (const std::string &name, QWidget *parent)
virtual const QString & | getName () const
void | setEditable (bool mode)
bool | isEditable () const
void | apply (PropertyManager *man, bool create=false)
void | reset (PropertyManager *man)

## Protected Member Functions

virtual void | apply_ (PropertyManager *man)
virtual void | reset_ (const NamedProperty &prop)
Protected Member Functions inherited from BALL::VIEW::PropEditorWidget
void | setupUi_ ()
bool | addWidget_ (int i, QWidget *w)

## Additional Inherited Members

Signals inherited from BALL::VIEW::PropEditorWidget
void | deleteProperty ()
void | duplicateProperty ()
void | valueChanged ()
Protected Attributes inherited from BALL::VIEW::PropEditorWidget
QString | name_
Ui::PropEditorWidget | ui_

## Detailed Description

Definition at line 172 of file propertyEditor.h.

## Constructor & Destructor Documentation

## FloatEditorWidget()

BALL::VIEW::FloatEditorWidget::FloatEditorWidget | ( | const NamedProperty & | prop,
|  | QWidget * | parent )

## Member Function Documentation

## apply_()

virtual void BALL::VIEW::FloatEditorWidget::apply_ | ( | PropertyManager * | man | ) |

protected virtual

This function must be reimplemented by subclasses. It writes the value of the widget to man

Implements BALL::VIEW::PropEditorWidget.

## clone()

virtual FloatEditorWidget * BALL::VIEW::FloatEditorWidget::clone | ( | const std::string & | name,
|  | QWidget * | parent )

virtual

Create a copy of the widget with a different name, but with the same property type. This method must be reimplemented by subclasses

Implements BALL::VIEW::PropEditorWidget.

## reset_()

virtual void BALL::VIEW::FloatEditorWidget::reset_ | ( | const NamedProperty & | prop | ) |

protected virtual

This function must be reimplemented by subclasses. It rereads the widgets values from prop

Implements BALL::VIEW::PropEditorWidget.